EAccountList
3
LIBEDATASERVER Library

# EAccountList

## Synopsis

                        EAccountList;
    enum                e_account_find_t;
    EAccountList*       e_account_list_new                  (GConfClient *gconf);
    void                e_account_list_construct            (EAccountList *account_list,
                                                             GConfClient *gconf);
    void                e_account_list_save                 (EAccountList *account_list);
    void                e_account_list_add                  (EAccountList *,
                                                             EAccount *);
    void                e_account_list_change               (EAccountList *,
                                                             EAccount *);
    void                e_account_list_remove               (EAccountList *,
                                                             EAccount *);
    const EAccount*     e_account_list_get_default          (EAccountList *);
    void                e_account_list_set_default          (EAccountList *,
                                                             EAccount *);
    const EAccount*     e_account_list_find                 (EAccountList *,
                                                             e_account_find_t type,
                                                             const char *key);
    void                e_account_list_prune_proxies        (EAccountList *);
    void                e_account_list_remove_account_proxies
                                                            (EAccountList *,
                                                             EAccount *);
    int                 e_account_list_account_has_proxies  (EAccountList *,
                                                             EAccount *);

## Object Hierarchy

      GObject
       +----EList
             +----EAccountList

## Signals

      "account-added"                                  : Run Last
      "account-changed"                                : Run Last
      "account-removed"                                : Run Last

## Description

## Details

### EAccountList

    typedef struct _EAccountList EAccountList;

### enum e_account_find_t

    typedef enum _e_account_find_t {
    	E_ACCOUNT_FIND_NAME,
    	E_ACCOUNT_FIND_UID,
    	E_ACCOUNT_FIND_ID_NAME,
    	E_ACCOUNT_FIND_ID_ADDRESS,
    	E_ACCOUNT_FIND_PARENT_UID,
    } e_account_find_t;

### e_account_list_new ()

    EAccountList*       e_account_list_new                  (GConfClient *gconf);

`gconf` :

Returns :

### e_account_list_construct ()

    void                e_account_list_construct            (EAccountList *account_list,
                                                             GConfClient *gconf);

`account_list` :

`gconf` :

### e_account_list_save ()

    void                e_account_list_save                 (EAccountList *account_list);

`account_list` :

### e_account_list_add ()

    void                e_account_list_add                  (EAccountList *,
                                                             EAccount *);

`Param1` :

`Param2` :

### e_account_list_change ()

    void                e_account_list_change               (EAccountList *,
                                                             EAccount *);

`Param1` :

`Param2` :

### e_account_list_remove ()

    void                e_account_list_remove               (EAccountList *,
                                                             EAccount *);

`Param1` :

`Param2` :

### e_account_list_get_default ()

    const EAccount*     e_account_list_get_default          (EAccountList *);

`Param1` :

Returns :

### e_account_list_set_default ()

    void                e_account_list_set_default          (EAccountList *,
                                                             EAccount *);

`Param1` :

`Param2` :

### e_account_list_find ()

    const EAccount*     e_account_list_find                 (EAccountList *,
                                                             e_account_find_t type,
                                                             const char *key);

`Param1` :

`type` :

`key` :

Returns :

### e_account_list_prune_proxies ()

    void                e_account_list_prune_proxies        (EAccountList *);

`Param1` :

### e_account_list_remove_account_proxies ()

    void                e_account_list_remove_account_proxies
                                                            (EAccountList *,
                                                             EAccount *);

`Param1` :

`Param2` :

### e_account_list_account_has_proxies ()

    int                 e_account_list_account_has_proxies  (EAccountList *,
                                                             EAccount *);

`Param1` :

`Param2` :

Returns :

## Signal Details

### The `"account-added"` signal

    void                user_function                      (EAccountList *eaccountlist,
                                                            EAccount     *arg1,
                                                            gpointer      user_data)         : Run Last

`eaccountlist` :

  the object which received the signal.

`arg1` :

`user_data` :

  user data set when the signal handler was connected.

### The `"account-changed"` signal

    void                user_function                      (EAccountList *eaccountlist,
                                                            EAccount     *arg1,
                                                            gpointer      user_data)         : Run Last

`eaccountlist` :

  the object which received the signal.

`arg1` :

`user_data` :

  user data set when the signal handler was connected.

### The `"account-removed"` signal

    void                user_function                      (EAccountList *eaccountlist,
                                                            EAccount     *arg1,
                                                            gpointer      user_data)         : Run Last

`eaccountlist` :

  the object which received the signal.

`arg1` :

`user_data` :

  user data set when the signal handler was connected.